#include <iostream>

using namespace std;

int main()
{
    int t;
    long long n; //ucenici
    long long m; //bananice
    long long k; //grupe
    long long potrebnoBananica;
    
    cin >> t;
    
    for(int i = 0; i < t; i++)
    {
        cin >> n >> m >> k;
        
        potrebnoBananica = (k - (n % k)) * (((n / k) * ((n / k) + 1)) / 2)
        + (n % k) * (((n / k + 1) * ((n / k) + 2)) / 2);
        
        if(m >= potrebnoBananica)
        {
            cout << "Tak" << endl;
        }
        else
        {
            cout << "Nie" << endl;
        }
    }
    
    return 0;
}